Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2153434 - Enable read only /sysroot for rhel9
Summary: Enable read only /sysroot for rhel9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: ostree
Version: 9.2
Hardware: All
OS: Linux
medium
low
Target Milestone: rc
: ---
Assignee: Sayan
QA Contact: RHCOS SST QE
URL:
Whiteboard:
Depends On: 2060976 2086489 2121197
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-12-14 15:05 UTC by Sayan
Modified: 2023-05-09 09:07 UTC (History)
6 users (show)

Fixed In Version: ostree-2022.6-2.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2060976
Environment:
Last Closed: 2023-05-09 07:48:56 UTC
Type: ---
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-142260 0 None None None 2022-12-14 15:49:48 UTC
Red Hat Product Errata RHEA-2023:2364 0 None None None 2023-05-09 07:48:58 UTC

Description Sayan 2022-12-14 15:05:16 UTC
+++ This bug was initially created as a clone of Bug #2060976 +++

This is a tracking bug for Change: Enable read only /sysroot for Fedora Silverblue & Kinoite
For more details, see: https://fedoraproject.org/wiki/Changes/Silverblue_Kinoite_readonly_sysroot

This change is about enabling an opt-in ostree feature that re-mounts /sysroot as read only to avoid accidental changes.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

--- Additional comment from Ben Cotton on 2022-08-09 16:02:52 UTC ---

Today we reached the Code Complete (Testable) milestone on the F37 schedule: https://fedorapeople.org/groups/schedule/f-37/f-37-key-tasks.html

At this time, all F37 Changes should be complete enough to be testable. You can indicate this by setting this tracker to the MODIFIED status. If the Change is 100% code complete, you can set the tracker to ON_QA. If you need to defer this Change to F38, please NEEDINFO me.

Changes that have not reached at least the MODIFIED status will be given to FESCo for evaluation of contingency plans.

--- Additional comment from Timothée Ravier on 2022-08-10 09:21:10 UTC ---

All code changes have been merged, ready to test.

--- Additional comment from Timothée Ravier on 2022-08-10 09:21:55 UTC ---

Edit: the anaconda code change has been merged upstream. We will have to wait until it lands in a package update in Fedora.

--- Additional comment from Adam Williamson on 2022-08-16 01:49:27 UTC ---

We think this has broken ostree composes in Branched and Rawhide:
https://pagure.io/releng/issue/10969#comment-810666

--- Additional comment from Timothée Ravier on 2022-08-18 11:56:18 UTC ---

New PR for update logic in https://pagure.io/workstation-ostree-config/pull-request/289. New installs should still be testable as the Anaconda changes landed.

--- Additional comment from Adam Williamson on 2022-08-18 12:30:29 UTC ---

Has something about this landed recently? I do a hack in the openQA tests to change Firefox's config, where we write to the file under /ostree/deploy/fedora*/deploy/ , and this stopped working yesterday with a "Read-only file system" error. Is there a way to turn this off, or some alternative way I can write a file under /usr/lib64/firefox , which I need to do to change Firefox policies?

I guess I could do the tweak in the post-install, pre-reboot phase on Silverblue, possibly...

--- Additional comment from Timothée Ravier on 2022-08-18 17:27:39 UTC ---

Yes, the anaconda part of this change makes /sysroot RO and this includes the ostree repo as /ostree points to /sysroot/ostree.

If this is for testing, I'd recommend using `rpm-ostree usroverlay` and then making the changes as needed, or more cleanly, creating an RPM with the file as needed installed in the correct location and then overlaying it live with `rpm-ostree install --live package.rpm`.

--- Additional comment from Timothée Ravier on 2022-08-18 17:28:37 UTC ---

If you can point me to the code or a PR I can review.

--- Additional comment from Adam Williamson on 2022-08-18 19:45:22 UTC ---

I think you gave me enough to work with, thanks!

--- Additional comment from Timothée Ravier on 2022-08-21 14:22:51 UTC ---

This is now fully re-enabled in Rawhide & F37. I've manually tested a Rawhide installation and an update from a non RO sysroot. I will test F37 soon.

--- Additional comment from Ben Cotton on 2022-08-23 19:21:11 UTC ---

Today we reached the Code Complete (100% complete) milestone on the F37 schedule: https://fedorapeople.org/groups/schedule/f-37/f-37-key-tasks.html

At this time, all F37 Changes should be 100% complete. You can indicate this by setting this tracker to the ON_QA status. If you need to defer this Change to F38 please NEEDINFO me.

Note that we are entering the Beta freeze. Additional package changes to complete this Change will need an approved blocker or freeze exception. See https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process and https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process for more information.

Changes that have not reached the ON_QA status will be given to FESCo for evaluation of contingency plans.

--- Additional comment from Timothée Ravier on 2022-08-29 09:46:04 UTC ---

Moving to ON_QA as this is complete for Silverblue & Kinoite. IoT has some issues that are under-investigation.

--- Additional comment from Ben Cotton on 2022-11-15 16:22:28 UTC ---

F37 was released today, so I am closing this tracker. If this Change was not completed, please notify me ASAP.

Comment 5 Xiaofeng Wang 2023-01-18 04:19:44 UTC
Verified on osbuild-composer-72-1.el9.x86_64.rpm

Comment 6 Xiaofeng Wang 2023-01-18 04:20:55 UTC
Verified on  ostree-2022.6-2.el9.rpm

Comment 8 errata-xmlrpc 2023-05-09 07:48:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (ostree bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2023:2364


Note You need to log in before you can comment on or make changes to this bug.